db4o |

# MemoryFile Members

MemoryFile overview

#### Public Instance Constructors

MemoryFile | Overloaded. Initializes a new instance of the MemoryFile class.

#### Public Instance Methods

Equals (inherited from Object) |
GetBytes | returns the raw byte data.
GetHashCode (inherited from Object) |
GetIncrementSizeBy | returns the size the MemoryFile is to be enlarged, if it grows beyond the current size.
GetInitialSize | returns the initial size of the MemoryFile.
GetType (inherited from Object) |
SetBytes | sets the raw byte data.
SetIncrementSizeBy | configures the size the MemoryFile is to be enlarged by, if it grows beyond the current size.
SetInitialSize | configures the initial size of the MemoryFile.
ToString (inherited from Object) |

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |

#### See Also

MemoryFile Class | com.db4o.ext Namespace | com.db4o.ext.ExtDb4o.OpenMemoryFile